Orders Management API

The Get Order endpoint allows the return of a detailed order object, including a list of contained tasking campaigns and datasets.

get    /api/campaign/{campaign}

Path Parameters:

* Required

FieldDescription

Responses:

  • 200
  • 400
  • 401
Successful Get for Order
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The List endpoint returns all pending and completed datasets. It will not populate the list of child resources.

get    /api/campaign/{campaign}/datasets

Path Parameters:

* Required

FieldDescription
campaignThe UUID of the campaign to list datasets belonging to.

URL Parameters:

* Required

FieldDescription
pageThe page of results to retrieve
sizeThe size of the page of results to retrieve

?page=3
&size=

Responses:

  • 200
  • 400
  • 401
Successful Listing
FieldTypeDescription
contentarrayList of overviews of each dataset.
countintegerNumber of items returned in the current page
lengthintegerLength of the current result page
pageintegerCurrent result page index (0 indexed)
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The List endpoint returns all pending and completed orders. It will not populate the list of child datasets and campaigns

get    /api/campaigns

URL Parameters:

* Required

FieldDescription
pageThe page of results to retrieve
sizeThe size of the page of results to retrieve

?page=3
&size=

Responses:

  • 200
  • 400
  • 401
Successful Listing
FieldTypeDescription
contentarrayList of overviews of each order.
countintegerNumber of items returned in the current page
lengthintegerLength of the current result page
pageintegerCurrent result page index (0 indexed)
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The Get Dataset endpoint allows the return of a detailed dataset object, including the list of associated resources available for download.

get    /api/dataset/{dataset}

Path Parameters:

* Required

FieldDescription
dataset*The UUID of the target dataset.

Responses:

  • 200
  • 400
  • 401
Successful Get for Dataset
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The Get Resource endpoint allows the return of a resource object.

get    /api/dataset/{dataset}/resource/{resource}

Path Parameters:

* Required

FieldDescription
resource*The UUID of the target resource.
datasetThe UUID of the dataset this resources should belong to (validation check).

Responses:

  • 200
  • 400
  • 401
Successful Get for Resource
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The Download Resource endpoint allows the download of a resource contents.

get    /api/dataset/{dataset}/resource/{resource}/data

Path Parameters:

* Required

FieldDescription
resource*The UUID of the target resource.
datasetThe UUID of the dataset this resources should belong to (validation check).

Responses:

  • 200
  • 400
  • 401
  • 410
Resource successfully retrieved
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401
Occurs when the resource you requested has expired.
No Example for Response Code: 410

The List endpoint returns all pending and completed datasets. It will not populate the list of child resources.

get    /api/datasets

URL Parameters:

* Required

FieldDescription
pageThe page of results to retrieve
sizeThe size of the page of results to retrieve

?page=3
&size=

Responses:

  • 200
  • 400
  • 401
Successful Listing
FieldTypeDescription
contentarrayList of overviews of each dataset.
countintegerNumber of items returned in the current page
lengthintegerLength of the current result page
pageintegerCurrent result page index (0 indexed)
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The Get Order endpoint allows the return of a detailed order object, including a list of contained tasking campaigns and datasets.

get    /api/order/{order}

Path Parameters:

* Required

FieldDescription
order*The UUID of the target order.

Responses:

  • 200
  • 400
  • 401
Successful Get for Order
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The List endpoint returns all pending and completed orders. It will not populate the list of child datasets and campaigns

get    /api/order/{order}/campaigns

Path Parameters:

* Required

FieldDescription

URL Parameters:

* Required

FieldDescription
pageThe page of results to retrieve
sizeThe size of the page of results to retrieve

?page=3
&size=

Responses:

  • 200
  • 400
  • 401
Successful Listing
FieldTypeDescription
contentarrayList of overviews of each order.
countintegerNumber of items returned in the current page
lengthintegerLength of the current result page
pageintegerCurrent result page index (0 indexed)
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The List endpoint returns all pending and completed datasets. It will not populate the list of child resources.

get    /api/order/{order}/datasets

Path Parameters:

* Required

FieldDescription
orderThe UUID of the order to list datasets belonging to.

URL Parameters:

* Required

FieldDescription
pageThe page of results to retrieve
sizeThe size of the page of results to retrieve

?page=3
&size=

Responses:

  • 200
  • 400
  • 401
Successful Listing
FieldTypeDescription
contentarrayList of overviews of each dataset.
countintegerNumber of items returned in the current page
lengthintegerLength of the current result page
pageintegerCurrent result page index (0 indexed)
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The List endpoint returns all pending and completed orders. It will not populate the list of child datasets and campaigns

get    /api/orders

URL Parameters:

* Required

FieldDescription
pageThe page of results to retrieve
sizeThe size of the page of results to retrieve

?page=3
&size=

Responses:

  • 200
  • 400
  • 401
Successful Listing
FieldTypeDescription
contentarrayList of overviews of each order.
countintegerNumber of items returned in the current page
lengthintegerLength of the current result page
pageintegerCurrent result page index (0 indexed)
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The Get Resource endpoint allows the return of a resource object.

get    /api/resource/{resource}

Path Parameters:

* Required

FieldDescription
resource*The UUID of the target resource.

Responses:

  • 200
  • 400
  • 401
Successful Get for Resource
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401

The Download Resource endpoint allows the download of a resource contents.

get    /api/resource/{resource}/data

Path Parameters:

* Required

FieldDescription
resource*The UUID of the target resource.

Responses:

  • 200
  • 400
  • 401
  • 410
Resource successfully retrieved
No Example for Response Code: 200
Occurs when your request is malformed.
No Example for Response Code: 400
Occurs when basic authentication details are missing or invalid.
No Example for Response Code: 401
Occurs when the resource you requested has expired.
No Example for Response Code: 410